Skip to main content
POST
/
boxes
/
{boxId}
/
storage
/
presigned-url
JavaScript
import GboxSDK from "gbox-sdk";

const gboxSDK = new GboxSDK({
  apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});

async function main() {
  const box = await gboxSDK.create({ type: "android" });

	const screenshotResult = await box.action.screenshot({
		outputFormat: "storageKey"
	});

	console.info("Screenshot result:", screenshotResult);

  // re-create presigned url
	const presignedUrl = await box.storage.createPresignedUrl(
    { storageKey: screenshotResult.uri }
  );

  console.log("Presigned url:", presignedUrl);
}

main();
import os
from gbox_sdk import GboxSDK

gbox_sdk = GboxSDK(
api_key=os.environ["GBOX_API_KEY"] # This is the default and can be omitted
)

# Create Android box
box = gbox_sdk.create(type="android")

screenshot_result = box.action.screenshot(
output_format="storageKey"
)

print(f"Screenshot result: {screenshot_result}")

# re-create presigned url
presigned_url = box.storage.create_presigned_url(
storage_key=screenshot_result.uri
)

print(f"Presigned url: {presigned_url}")
curl --request POST \
--url https://gbox.ai/api/v1/boxes/{boxId}/storage/presigned-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storageKey": "storage://xxxxxx/xxxxxx/xxxxxxx"
}
'
"<string>"

Authorizations

Authorization
string
header
required

Enter your API Key in the format: Bearer . Get it from https://gbox.ai

Path Parameters

boxId
string
required

Box ID

Example:

"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"

Body

application/json

Box Storage Presigned Url

storageKey
string
required

Storage key

Example:

"storage://xxxxxx/xxxxxx/xxxxxxx"

expiresIn
string
default:30m

Presigned url expires in

Supported time units: ms (milliseconds), s (seconds), m (minutes), h (hours) Example formats: "500ms", "30s", "5m", "1h" Default: 30m Maximum allowed: 6h

Example:

"30m"

Response

201 - application/json

Presigned url

The response is of type string.